Ticket #43600

configure: locale_charset() test failing on haiku

Open Date: 2022-01-11 20:11 Last Update: 2022-03-19 20:52

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

From the looks of the headers and libraries I think locale_charset() test should return success on haiku, but it does not. This is probably as simple as the test not linking against the correct library.

The result is same for both autotools and meson based builds. This ticket is about autotools build.

Ticket History (3/11 Histories)

2022-01-11 20:11 Updated by: cazfi
  • New Ticket "configure: locale_charset() tes failing on haiku" created
2022-01-11 20:15 Updated by: cazfi
2022-01-26 09:38 Updated by: cazfi
  • Summary Updated
2022-03-05 17:35 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-05 17:39 Updated by: cazfi
Comment

Will push to S2_6 too

2022-03-05 18:05 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Libraries added to the list of ones to link against gets discarded. This means that now that detecting the library works, the build fails as it tries to use functions from the library without linking against it.

2022-03-05 18:25 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Keep "-lcharset" in LIBS when needed

2022-03-12 00:30 Updated by: cazfi
Comment

Reply To cazfi

The result is same for both autotools and meson based builds. This ticket is about autotools build.

Meson -> #44075

2022-03-19 20:52 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login